totem_message_header Struct Reference

`#include <totem.h>`

## Data Fields

unsigned short | magic
char | version
char | type
char | encapsulated
unsigned int | nodeid
unsigned int | target_nodeid

## Detailed Description

Definition at line 126 of file totem.h.

## Field Documentation

## encapsulated

char totem_message_header::encapsulated

Definition at line 130 of file totem.h.

## magic

unsigned short totem_message_header::magic

Definition at line 127 of file totem.h.

## nodeid

unsigned int totem_message_header::nodeid

Definition at line 131 of file totem.h.

## target_nodeid

unsigned int totem_message_header::target_nodeid

Definition at line 132 of file totem.h.

## type

char totem_message_header::type

Definition at line 129 of file totem.h.

## version

char totem_message_header::version

Definition at line 128 of file totem.h.

The documentation for this struct was generated from the following file:

- totem.h